%{?drupal7_find_provides_and_requires}

%global module markdown

%if 0%{?fedora} || 0%{?rhel} >= 7
%global unbundle_markdown_lib 0
%else
%global unbundle_markdown_lib 0
%endif

Name:          drupal7-%{module}
Version:       1.4
Release:       7%{?pre_release:.%{pre_release}}%{?dist}
Summary:       Enables the creation of forms and questionnaires

License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}%{?pre_release:-%{pre_release}}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

%if %{unbundle_markdown_lib}
Requires:      php-composer(michelf/php-markdown) >= 1.6.0
Requires:      php-composer(michelf/php-markdown) <  2
%else
Provides:      bundled(php-markdown) = 1.6.0
%endif
# phpcompatinfo (computed from version 1.4)
Requires:      php-pcre


%description
Provides Markdown filter integration for Drupal input formats. The Markdown
syntax is designed to co-exist with HTML, so you can set up input formats with
both HTML and Markdown support. It is also meant to be as human-readable as
possible when left as "source".

There are many different Markdown implementation. Markdown filter uses "PHP
Markdown extra" that includes many common and useful extensions to the original
Markdown. This includes tables, footnotes and definition lists.

This package provides the following Drupal 7 module:
* %{module}


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/

%if %{unbundle_markdown_lib}
: Unbundle markdown lib
rm -rf includes
ln -s %{_datadir}/php/Michelf includes
%endif


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Aug 04 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.4-2
- Only unbundle markdown lib for Fedora or EPEL >= 7

* Thu Aug 04 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.4-1
- Updated 1.4 (RHBZ #1327694)
- Unbundled markdown lib
- Spec cleanup

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 16 2013 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Update to upstream 1.2 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2065761

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Peter Borsa <peter.borsa@gmail.com> - 1.1-1
- Update to 1.1

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 4 2011 Scott Dodson <sdodson@redhat.com> - 1.0-1
- Initial Drupal 7 Packaging
